View Issue Details

IDProjectCategoryView StatusLast Update
0002414Far ManagerDelete files/folderspublic2013-06-27 08:12
ReportervsukhomlAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002414: Не удаляется файл с длинным именем
DescriptionПри сохранении из Google Chrome был создан файл с именем: "ГОСТ Р 52797.3-2007 (ИСО-ТО 11690-3-1997) Акустика. Рекомендуемые методы проектирования малошумных рабочих мест производственных помещений. Часть 3. Распространение звука в производственных помещениях и прогнозирование шума.pdf". Файл прекрасно копируется как в составе каталога, так и по отдельности. Причем копии файла, созданные индивидуальным копированием файлы (F5) удаляются, а копии в составе каталога - нет. Попытка воспроизвести проблему, создав файл явно (используя \\?\ перед именем) не работает - файл удаляется. Т.е. копирование файла и переименование (которое и позволяет удалить его в конечном итоге) работают, а прямое удаление - нет. По-видимому, связано с наличием в имени файла спец-символов вроде \0x00 или перевода строки, которые при индивидуальном копировании заменяются, а при копировании в составе каталога - сохраняются. Так как переименование работает, то имеет смысл проверить обработку имени файла при удалении или добавить поддержку UNC.
Steps To Reproduce1) Перейти на http://docs.cntd.ru/document/1200062546
2) Выделить заголовок "ГОСТ Р 52797.3-2007 (ИСО/ТО 11690-3:1997) Акустика. Рекомендуемые методы проектирования малошумных рабочих мест производственных помещений. Часть 3. Распространение звука в производственных помещениях и прогнозирование шума" и скопировать в буфер обмена.
3) Нажать "скачать pdf", и зарегистрировавшись, начать скачивание. Откроется диалог для сохранение файла. Заменить цифровое имя на содержимое буфера и поправить / и : в имени на -. Сохранить
4) Файл не удаляется.

По-видимому, в новой версии Chrome что-то изменилось - по указанным шагам проблему воспроизвести не могу.
TagsNo tags attached.
Build3463

Activities

DrKnS

2013-05-24 11:04

administrator   bugnote:0011024

Перемещение в корзину не поддерживает длинные имена.
Удаляйте по Shift-Del.

samlyukov

2013-05-26 07:10

reporter   bugnote:0011030

почти каждый месяц всплывает. может если нельзя в корзину переместить, то пробовать грохнуть файл?

vsukhoml

2013-06-11 17:32

reporter   bugnote:0011116

да надо просто диагностику нормальную выдать, что файлы с очень длинными именами в корзину не попадают и дать опцию просто удалить.

2useven10

2013-06-12 15:10

developer   bugnote:0011125

3449

2useven10

2013-06-17 14:57

developer   bugnote:0011155

3463 - продолжение для каталогов

vsukhoml

2013-06-27 07:50

reporter   bugnote:0011205

выдается диагностика при невозможности удалить файл с длинным именем в корзину

Issue History

Date Modified Username Field Change
2013-05-24 10:54 vsukhoml New Issue
2013-05-24 11:04 DrKnS Note Added: 0011024
2013-05-26 07:10 samlyukov Note Added: 0011030
2013-06-11 17:32 vsukhoml Note Added: 0011116
2013-06-12 15:10 2useven10 Note Added: 0011125
2013-06-12 15:10 2useven10 Assigned To => 2useven10
2013-06-12 15:10 2useven10 Status new => feedback
2013-06-17 14:57 2useven10 Note Added: 0011155
2013-06-27 07:50 vsukhoml Note Added: 0011205
2013-06-27 07:50 vsukhoml Status feedback => assigned
2013-06-27 07:50 vsukhoml Status assigned => resolved
2013-06-27 08:12 2useven10 Build => 3463
2013-06-27 08:12 2useven10 Status resolved => closed
2013-06-27 08:12 2useven10 Resolution open => fixed
2013-06-27 08:12 2useven10 Fixed in Version => 3.0